import { api } from '~/utils/axios';

/**
 * 获取未绑定角色用户列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getUnbindUserList(data) {
  return api.post('User.UserRole/getUnbindUserList', data)
}
/**
 * 重置用户密码
 * @param {Object} data
 * @return {Promise} api
 */
export function bindUserRole(data) {
  return api.post('User.UserRole/bindUserRole', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '绑定失败',
  })
}
/**
 * 获取绑定角色用户列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getBindUserList(data) {
  return api.post('User.UserRole/getBindUserList', data)
}
/**
 * 重置用户密码
 * @param {Object} data
 * @return {Promise} api
 */
export function unBindUserRole(data) {
  return api.post('User.UserRole/unBindUserRole', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '解绑失败',
  })
}
